Index: trunk/SophyaProg/PMixer/Makefile.mgr
===================================================================
--- trunk/SophyaProg/PMixer/Makefile.mgr	(revision 2735)
+++ trunk/SophyaProg/PMixer/Makefile.mgr	(revision 2735)
@@ -0,0 +1,348 @@
+MODULECXXREPNAME :=  PMixer
+include ../Mgr/Makefile.h
+ 
+ifdef NOSHLIB
+LIBF =  $(LIB)libFitsIOServer.a $(LIB)libSamba.a $(LIB)libSkyMap.a $(LIB)libSkyT.a $(LIB)libNTools.a $(LIB)libHiStats.a $(LIB)libTArray.a $(LIB)libSysTools.a 
+LIBS = -L$(LIB) -lFitsIOServer -lSamba -lSkyMap -lSkyT -lNTools -lHiStats -lTArray -lSysTools -lm
+ifeq ($(CXX),cxx)
+# librairie des instances de templates cxx
+LIBS := $(LIBS) -lertcxx
+endif
+else
+LIBF =  $(SLB)libsophya.so $(SLB)libextsophya.so
+LIBS = -L$(SLB) -lsophya -lextsophya  -lm
+endif
+LIBSORA := $(LIBS)
+ifdef ORACLE_HOME
+LIBSORA := -L$(LIB) -lDb++ $(LIBS) -lErosDb -L$(ORACLE_HOME)/lib -lclntsh
+endif
+LDLIBS := $(LIBS) $(LDLIBS)
+PROGS = $(EXE)skymixer $(EXE)extractRS $(EXE)tgrsr $(EXE)tgsky $(EXE)easyTest $(EXE)Sph2Sph
+ 
+all: $(PROGS)
+
+clean:
+	rm -f $(PROGS)
+	if [ -d $(OBJ)cxxrep_PMixer ] ; then cd $(OBJ)cxxrep_PMixer ; rm -f *.o ; fi
+
+skymixer: $(EXE)skymixer
+	
+$(EXE)skymixer: $(OBJ)skymixer.o
+	$(LINK.cc) $^ $(LOADLIBES) $(LDLIBS) -o $@ 
+  
+extractRS: $(EXE)extractRS
+	
+$(EXE)extractRS: $(OBJ)extractRS.o
+	$(LINK.cc) $^ $(LOADLIBES) $(LDLIBS) -o $@ 
+  
+tgrsr: $(EXE)tgrsr
+	
+$(EXE)tgrsr: $(OBJ)tgrsr.o
+	$(LINK.cc) $^ $(LOADLIBES) $(LDLIBS) -o $@ 
+  
+tgsky: $(EXE)tgsky
+	
+$(EXE)tgsky: $(OBJ)tgsky.o
+	$(LINK.cc) $^ $(LOADLIBES) $(LDLIBS) -o $@ 
+  
+easyTest: $(EXE)easyTest
+	
+$(EXE)easyTest: $(OBJ)easyTest.o
+	$(LINK.cc) $^ $(LOADLIBES) $(LDLIBS) -o $@ 
+  
+Sph2Sph: $(EXE)Sph2Sph
+	
+$(EXE)Sph2Sph: $(OBJ)Sph2Sph.o
+	$(LINK.cc) $^ $(LOADLIBES) $(LDLIBS) -o $@ 
+  
+$(OBJ)Sph2Sph.o: Sph2Sph.cc pmixer.h \
+ $(INC)machdefs.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)anydataobj.h \
+ $(INC)mutyv.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)tvector.h \
+ $(INC)fioarr.h \
+ $(INC)vector3d.h \
+ $(INC)longlat.h \
+ $(INC)utilgeom.h \
+ $(INC)srandgen.h \
+ $(INC)timing.h \
+ $(INC)sambainit.h \
+ $(INC)skymapinit.h \
+ $(INC)sophyainit.h \
+ $(INC)ntoolsinit.h \
+ $(INC)tarrinit.h \
+ $(INC)datacards.h \
+ $(INC)ntuple.h \
+ $(INC)ntupintf.h \
+ $(INC)fiospherehealpix.h \
+ $(INC)sphericalmap.h \
+ $(INC)smathconst.h \
+ $(INC)pixelmap.h \
+ $(INC)spherepos.h \
+ $(INC)unitvector.h \
+ $(INC)spherehealpix.h \
+ $(INC)HEALPixUtils.h \
+ $(INC)fitsspherehealpix.h \
+ $(INC)fitsfile.h \
+ $(INC)fitstarray.h \
+ $(INC)cimage.h \
+ $(INC)radspecvector.h \
+ $(INC)radspec.h \
+ $(INC)specresp.h \
+ $(INC)blackbody.h \
+ $(INC)convtools.h \
+ $(INC)derivblackbody.h \
+ $(INC)nupower.h \
+ $(INC)squarefilt.h \
+ $(INC)trianglefilt.h \
+ $(INC)specrespvector.h \
+ $(INC)gaussfilt.h \
+ $(INC)bruit.h \
+ $(INC)mapoperation.h
+$(OBJ)easyTest.o: easyTest.cc $(INC)blackbody.h \
+ $(INC)radspec.h \
+ $(INC)machdefs.h \
+ $(INC)specresp.h \
+ $(INC)anydataobj.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)convtools.h \
+ $(INC)radspecvector.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)mutyv.h \
+ $(INC)dvlist.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)specrespvector.h \
+ $(INC)squarefilt.h \
+ $(INC)gaussfilt.h \
+ $(INC)trianglefilt.h
+$(OBJ)extractRS.o: extractRS.cc pmixer.h \
+ $(INC)machdefs.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)anydataobj.h \
+ $(INC)mutyv.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)tvector.h \
+ $(INC)fioarr.h \
+ $(INC)vector3d.h \
+ $(INC)longlat.h \
+ $(INC)utilgeom.h \
+ $(INC)srandgen.h \
+ $(INC)timing.h \
+ $(INC)sambainit.h \
+ $(INC)skymapinit.h \
+ $(INC)sophyainit.h \
+ $(INC)ntoolsinit.h \
+ $(INC)tarrinit.h \
+ $(INC)datacards.h \
+ $(INC)ntuple.h \
+ $(INC)ntupintf.h \
+ $(INC)fiospherehealpix.h \
+ $(INC)sphericalmap.h \
+ $(INC)smathconst.h \
+ $(INC)pixelmap.h \
+ $(INC)spherepos.h \
+ $(INC)unitvector.h \
+ $(INC)spherehealpix.h \
+ $(INC)HEALPixUtils.h \
+ $(INC)fitsspherehealpix.h \
+ $(INC)fitsfile.h \
+ $(INC)fitstarray.h \
+ $(INC)cimage.h \
+ $(INC)radspecvector.h \
+ $(INC)radspec.h \
+ $(INC)specresp.h \
+ $(INC)blackbody.h \
+ $(INC)convtools.h \
+ $(INC)derivblackbody.h \
+ $(INC)nupower.h \
+ $(INC)squarefilt.h \
+ $(INC)trianglefilt.h \
+ $(INC)specrespvector.h \
+ $(INC)gaussfilt.h \
+ $(INC)bruit.h \
+ $(INC)mapoperation.h
+$(OBJ)skymixer.o: skymixer.cc pmixer.h \
+ $(INC)machdefs.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)anydataobj.h \
+ $(INC)mutyv.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)tvector.h \
+ $(INC)fioarr.h \
+ $(INC)vector3d.h \
+ $(INC)longlat.h \
+ $(INC)utilgeom.h \
+ $(INC)srandgen.h \
+ $(INC)timing.h \
+ $(INC)sambainit.h \
+ $(INC)skymapinit.h \
+ $(INC)sophyainit.h \
+ $(INC)ntoolsinit.h \
+ $(INC)tarrinit.h \
+ $(INC)datacards.h \
+ $(INC)ntuple.h \
+ $(INC)ntupintf.h \
+ $(INC)fiospherehealpix.h \
+ $(INC)sphericalmap.h \
+ $(INC)smathconst.h \
+ $(INC)pixelmap.h \
+ $(INC)spherepos.h \
+ $(INC)unitvector.h \
+ $(INC)spherehealpix.h \
+ $(INC)HEALPixUtils.h \
+ $(INC)fitsspherehealpix.h \
+ $(INC)fitsfile.h \
+ $(INC)fitstarray.h \
+ $(INC)cimage.h \
+ $(INC)radspecvector.h \
+ $(INC)radspec.h \
+ $(INC)specresp.h \
+ $(INC)blackbody.h \
+ $(INC)convtools.h \
+ $(INC)derivblackbody.h \
+ $(INC)nupower.h \
+ $(INC)squarefilt.h \
+ $(INC)trianglefilt.h \
+ $(INC)specrespvector.h \
+ $(INC)gaussfilt.h \
+ $(INC)bruit.h \
+ $(INC)mapoperation.h
+$(OBJ)tgrsr.o: tgrsr.cc pmixer.h $(INC)machdefs.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)anydataobj.h \
+ $(INC)mutyv.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)tvector.h \
+ $(INC)fioarr.h \
+ $(INC)vector3d.h \
+ $(INC)longlat.h \
+ $(INC)utilgeom.h \
+ $(INC)srandgen.h \
+ $(INC)timing.h \
+ $(INC)sambainit.h \
+ $(INC)skymapinit.h \
+ $(INC)sophyainit.h \
+ $(INC)ntoolsinit.h \
+ $(INC)tarrinit.h \
+ $(INC)datacards.h \
+ $(INC)ntuple.h \
+ $(INC)ntupintf.h \
+ $(INC)fiospherehealpix.h \
+ $(INC)sphericalmap.h \
+ $(INC)smathconst.h \
+ $(INC)pixelmap.h \
+ $(INC)spherepos.h \
+ $(INC)unitvector.h \
+ $(INC)spherehealpix.h \
+ $(INC)HEALPixUtils.h \
+ $(INC)fitsspherehealpix.h \
+ $(INC)fitsfile.h \
+ $(INC)fitstarray.h \
+ $(INC)cimage.h \
+ $(INC)radspecvector.h \
+ $(INC)radspec.h \
+ $(INC)specresp.h \
+ $(INC)blackbody.h \
+ $(INC)convtools.h \
+ $(INC)derivblackbody.h \
+ $(INC)nupower.h \
+ $(INC)squarefilt.h \
+ $(INC)trianglefilt.h \
+ $(INC)specrespvector.h \
+ $(INC)gaussfilt.h \
+ $(INC)bruit.h \
+ $(INC)mapoperation.h
+$(OBJ)tgsky.o: tgsky.cc pmixer.h $(INC)machdefs.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)anydataobj.h \
+ $(INC)mutyv.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)tvector.h \
+ $(INC)fioarr.h \
+ $(INC)vector3d.h \
+ $(INC)longlat.h \
+ $(INC)utilgeom.h \
+ $(INC)srandgen.h \
+ $(INC)timing.h \
+ $(INC)sambainit.h \
+ $(INC)skymapinit.h \
+ $(INC)sophyainit.h \
+ $(INC)ntoolsinit.h \
+ $(INC)tarrinit.h \
+ $(INC)datacards.h \
+ $(INC)ntuple.h \
+ $(INC)ntupintf.h \
+ $(INC)fiospherehealpix.h \
+ $(INC)sphericalmap.h \
+ $(INC)smathconst.h \
+ $(INC)pixelmap.h \
+ $(INC)spherepos.h \
+ $(INC)unitvector.h \
+ $(INC)spherehealpix.h \
+ $(INC)HEALPixUtils.h \
+ $(INC)fitsspherehealpix.h \
+ $(INC)fitsfile.h \
+ $(INC)fitstarray.h \
+ $(INC)cimage.h \
+ $(INC)radspecvector.h \
+ $(INC)radspec.h \
+ $(INC)specresp.h \
+ $(INC)blackbody.h \
+ $(INC)convtools.h \
+ $(INC)derivblackbody.h \
+ $(INC)nupower.h \
+ $(INC)squarefilt.h \
+ $(INC)trianglefilt.h \
+ $(INC)specrespvector.h \
+ $(INC)gaussfilt.h \
+ $(INC)bruit.h \
+ $(INC)mapoperation.h
